using System;
using SqlSugar;

namespace DeviceRepair.Models.Logs
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("FieldLog")]
    public class FieldLog
    {
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "LogID", IsPrimaryKey = true, IsIdentity = true)]
        public int LogID { get; set; }
        /// <summary>
        ///  
        /// 默认值: (newid())
        ///</summary>
        [SugarColumn(ColumnName = "GUID")]
        public Guid GUID { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "FieldHisGuid")]
        public Guid FieldHisGuid { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "OperationType")]
        public string OperationType { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "Operator")]
        public int Operator { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "OperationDate")]
        public DateTime OperationDate { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "OperationIP")]
        public string OperationIP { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "OperationComputer")]
        public string OperationComputer { get; set; }
    }
}
